Name:          wlroots
Version:       0.17.2
Release:       1mamba
Summary:       Pluggable, composable, unopinionated modules for building a Wayland compositor
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.freedesktop.org/wlroots
Source:        https://gitlab.freedesktop.org/wlroots/wlroots.git/%{version}/wlroots-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdrm-devel
BuildRequires: libglvnd-devel
BuildRequires: libmesa-devel
BuildRequires: libpixman-devel
BuildRequires: libvulkan-devel
BuildRequires: libwayland-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-render-util-devel
BuildRequires: libxcb-util-wm-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END
BuildRequires: meson
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Pluggable, composable, unopinionated modules for building a Wayland compositor.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Pluggable, composable, unopinionated modules for building a Wayland compositor

%description -n lib%{name}
Pluggable, composable, unopinionated modules for building a Wayland compositor.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libwlroots.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/wlr
%{_includedir}/wlr/*
%{_libdir}/libwlroots.so
%{_libdir}/pkgconfig/wlroots.pc
%doc README.md

%changelog
* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 0.17.2-1mamba
- automatic version update by autodist

* Sat Feb 24 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17.1-1mamba
- package created using the webbuild interface
